#ifndef farcfree
#ifdef __cplusplus
extern "C" {
#endif
#include <port.h>
#include <malloc.h>

#ifdef M_I286
char far *memget(long);
void memput(char far *,long);
char far *farmalloc(long);
void farfree(char far *);
char far *farcalloc(long,long);
#define farcfree	farfree
#else
#define memget		malloc
#define memput(p,s)	free(p)
#define farmalloc	malloc
#define farfree		free
#define farcalloc	calloc
#define farcfree	farfree
#endif
#ifdef __cplusplus
}
#endif
#endif
